modules.nginx = {}
add_packages({ "nginx" })
modules.fstab.add_tmpfs("/var/lib/nginx/tmp")
modules.data.add_data_dir("/data/nginx/logs", "/var/log/nginx", "nginx", "nginx")
modules.runit.add_service("nginx", [[#!/bin/sh
exec 2>&1
mkdir -p /run/nginx || exit 1
exec nginx -g 'daemon off;'
]])
